/**
 * @license
 * Copyright 2024 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { IIcon } from './i_icon.js';
import { Size } from '../utils/size.js';
import { IHasBubble } from './i_has_bubble.js';
export interface ICommentIcon extends IIcon, IHasBubble {
    setText(text: string): void;
    getText(): string;
    setBubbleSize(size: Size): void;
    getBubbleSize(): Size;
}
/** Checks whether the given object is an ICommentIcon. */
export declare function isCommentIcon(obj: Object): obj is ICommentIcon;
//# sourceMappingURL=i_comment_icon.d.ts.map